# -*- coding: utf-8 -*-
import argparse
import cfg
dev_name = ""
dev = None
ui = None
options = None
ignore = set()

def report(x=0,y=0):
    pass

def confirm(x=0,y=0):
    pass

def set_ignore(key, value):
    if value: cfg.ignore.add(key)
    else: cfg.ignore.remove(key)

class Ignore(argparse.Action):
    def __call__(self, parser, namespace, values, option_string=None):
        cfg.ignore.add(self.const)
